close all
load tmp
dt_code = paramout.dt_code;
estspd_all = paramout.estspd_all;
estspdvar_all = paramout.estspdvar_all;
spdq_all = paramout.spdq_all;
encodep = paramout.encodep;
figure,plot(spdq_all);
hold on
plot(estspd_all,'r-');


spd_lb = estspd_all - estspdvar_all;
spd_rb = estspd_all + estspdvar_all;

plot(spd_lb,'k-');
plot(spd_rb,'c-');
hold off
udivs = abs(estspd_all-spdq_all)./estspdvar_all;
udivs = udivs(2:end);
figure, plot(abs(estspd_all-spdq_all))
figure, plot(udivs)

dt = dt_code(2:end);
figure,plot(min(dt):max(dt),histc(dt,min(dt):max(dt)));

medval = median(dt);
udivs1 = udivs(dt>=medval);
udivs0 = udivs(dt<medval);
mean(udivs1)
mean(udivs0)