function [x_filt,y_filt] = filt_smoothspeed_long_x1y1notfix(x,y,t,lamda,seglen,shiftlen,pnorm)

% seperate into several segs if it is long
l = length(x);
if size(x,1)==1
    x = x';
end
if size(y,1)==1
    y = y';
end



numcal = zeros(l,1);
sumvalx = zeros(l,1);
sumvaly = zeros(l,1);
x_filt = x;
y_filt = y;


stpos = 1;
cont = 1;
while (cont)
    edpos = min(l,stpos +seglen - 1);
    if edpos>=l
        cont = 0;
    end
    xin = x(stpos:edpos);
    yin = y(stpos:edpos);
%     xin(1) = x_filt(stpos);
%     yin(1) = y_filt(stpos);
    tin = t(stpos:edpos);
    tin = tin- tin(1);
    if pnorm ==2
        [x_f,y_f] = filt_smoothspeed_xysep_x1y1notfix(xin,yin,tin,lamda);
    elseif pnorm ==1
        [x_f,y_f] = filt_smoothspeed_L1(xin,yin,tin,lamda);
    else
        disp('not support norm');
        return;
    end
    
    
    sumvalx(stpos:edpos) = x_f+sumvalx(stpos:edpos);
    sumvaly(stpos:edpos) = y_f+sumvaly(stpos:edpos);
    numcal(stpos:edpos)=numcal(stpos:edpos)+1;
    x_filt(stpos:edpos) = sumvalx(stpos:edpos)./numcal(stpos:edpos);
    y_filt(stpos:edpos) = sumvaly(stpos:edpos)./numcal(stpos:edpos);
    stpos = stpos + shiftlen - 1;
end
