function init_tag_val = get_tag_val(code_init,param)

[r,c] = size(code_init);
if r>1
    code_init = code_init';
end

cl = param.cl;
bit_shift = param.bit_shift ;% dec bit shifts
bsignhead = param.bsignhead; 


st = 1;
init_tag_val = zeros(1,length(cl));
for  i = 1:length(cl)
    if bsignhead(i)
        sigval = code_init(st);
        cdval = code_init((st+1):(st+cl(i)-1));
        vectmp = 2.^((cl(i)-2):-1:0);
        outval = double(cdval)*double(vectmp');
        init_tag_val(i) = outval/ 10^(bit_shift(i));
        if sigval
            init_tag_val(i) = -init_tag_val(i);
        end
        
    else
        cdval = code_init(st:(st+cl(i)-1));
        vectmp = 2.^((cl(i)-1):-1:0);
        outval = double(cdval)*double(vectmp');
        init_tag_val(i) = outval/ 10^(bit_shift(i));
    end
    st = st + cl(i);
end
