function [xin,yin,tin] = getdata(sqind,param)
% get xin,yin,tin of the GPS traj , sqind is the index
acc_data = param.acc_data;

load Traj_geolife.mat
y= Latall{sqind};
x= Lonall{sqind};
t= tall{sqind};
[x,y,utmzone] = wgs2utm_fixutm(y,x); %WGS2UTM
xin = x(11:end-10);
yin = y(11:end-10);
tin =  t(11:end-10);% remove start and end part always inaccurate


%% process timestamp to have same sampling freq
difft = diff(tin);
mint_tinterv = min(difft);
tinv = round(difft/mint_tinterv);
ttmp = [0 ;cumsum(tinv)]*mint_tinterv + round(tin(1)/acc_data)*acc_data;
tin = ttmp;

xin = round(xin/acc_data)*acc_data;
yin = round(yin/acc_data)*acc_data;
