function b_array = read_binaryarray(fname)
% read binary array, txt is in uint8 format
fid= fopen(fname,'r');
codeval = fread(fid, inf,'uint8');
fclose(fid);
n_byte =length(codeval);
% b_array = false(n_byte*8,1);
% for i = 1:n_byte
%     val = codeval(i);
%     binout = dec2bin(val,8);
%     for j = 1:8
%         b_array(i*8+j-8) = str2num(binout(j));
%     end
% end
b_array = false(8,n_byte);

for i = 1:8
    bitv = floor(codeval/2^(8-i));
    b_array(i,:) = logical(bitv);
    codeval = codeval - 2^(8-i)*bitv;
end
b_array = b_array(:);

[r,c] = size(b_array);
if r>1
    b_array = b_array';
end
    