function write_binaryarray(b_array,filename)
% output file for binary array, out uint8
[r,c] = size(b_array);
if r==1
    b_array = b_array';
end

cl = length(b_array);
n_byte = ceil(cl/8);

codeval = uint8(zeros(n_byte,1));

b_array((cl+1):(n_byte*8)) = 0;
tmp_vec = [128 64 32 16 8 4 2 1 ];
for i = 1:n_byte
    tmp = b_array((i*8-7):(i*8));
    
    uint8val = uint8(tmp_vec*tmp);
    codeval(i) = uint8val;
end


fid= fopen(filename,'w');
fwrite(fid, codeval,'uint8');
fclose(fid);