function seddist = calc_sed(x,y,t,xapp,yapp)
%app sed distance xapp,yapp has time t(1) and t(end)
n = length(x);
seddist = 0;
for i = 1:n
    ttmp = t(i);
    rt = (ttmp-t(1))/(t(end) - t(1));
    xc = xapp(1) + (xapp(2)-xapp(1))* rt;
    yc = yapp(1) + (yapp(2)-yapp(1))* rt;
    dists = sqrt((xc-x(i))^2 + (yc-y(i))^2);
    if dists>seddist
        seddist = dists;
    end
end