function [data1,time1] = convertformat(t_dec)
% convert lat,lon,unixtime to output format
nortime = round(unixtime(t_dec));

data1 = cell(length(t_dec),1);
time1 = cell(length(t_dec),1);
for i = 1:length(t_dec)
    yy = num2str(nortime(i,1));
    if nortime(i,2)>=10
        mm = num2str(nortime(i,2));
    else
        mm = [ '0' num2str(nortime(i,2))];
    end
    if nortime(i,3)>=10
        dd = num2str(nortime(i,3));
    else
        dd = ['0' num2str(nortime(i,3))];
    end
    if nortime(i,4)>=10
        hh = num2str(nortime(i,4));
    else
        hh = ['0' num2str(nortime(i,4))];
    end
    if nortime(i,5)>=10
        mi = num2str(nortime(i,5));
    else
        mi = ['0' num2str(nortime(i,5))];
    end
    if nortime(i,6)>=10
        ss = num2str(nortime(i,6));
    else
        ss = ['0' num2str(nortime(i,6))];
    end
    data1{i} = [yy '-' mm '-' dd];
    time1{i} = [hh ':' mi ':' ss];
end
