function encodefile(encodep, init_tag_val,fname,param)
%
% if nargin>=4
cl = param.cl;
bit_shift = param.bit_shift ;% dec bit shifts
bsignhead = param.bsignhead; 
%     headlength = param.headlength;
% else
%     cl = [32 32 40 40 16 24 20 32 20];
%     bit_shift = [1 1 2 9 0 0 0 5 0];
% end

sqtmp = 1;

code_init = false(1,sum(cl));
for  i = 1:length(cl)
    ecval = round(init_tag_val(i)* 10^(bit_shift(i)));
    
    if bsignhead(i)
        tmp = dec2bin(abs(ecval),cl(i)-1);
        if ecval>=0
            code_init(sqtmp) = 0;   
        else
            code_init(sqtmp) = 1;
        end
        sqtmp = sqtmp +1;
        for j = 1:(cl(i)-1)
            code_init(sqtmp) = str2num(tmp(j));
            sqtmp = sqtmp +1;
        end
    else
        tmp = dec2bin(ecval,cl(i));
        for j = 1:cl(i)
            code_init(sqtmp) = str2num(tmp(j));
            sqtmp = sqtmp +1;
        end    
    end
end




seq = [];
probcell = cell(1,1);
sqcell = 1;
for i = 1:size(encodep,1)
    seq = [seq encodep{i,2}];
    probcell{sqcell} = encodep{i,1};
    sqcell = sqcell+1;
    seq = [seq encodep{i,5}];
    probcell{sqcell} = encodep{i,4};
    sqcell = sqcell+1;
    
    if ~isempty(encodep{i,8})
        seq = [seq encodep{i,8}];
        probcell{sqcell} = encodep{i,7};
        sqcell = sqcell+1;
    end
end

%encoding
code = arithenco_adap_mj(seq, probcell);
code_all = [code_init code];
%% write
write_binaryarray(code_all,fname)

