function [x_filt,y_filt] = filt_smoothspeed_xysep_x1y1notfix(x,y,t,lamda)
% larger lamda, more smooth
if size(x,1)==1
    x = x';
end
if size(y,1)==1
    y = y';
end

ncord = length(x);
dt = diff(t);
H = tril(ones(ncord),0);
L = zeros(ncord-2,ncord);
for  i = 1:(ncord-2)
   L(i,i+1) =  -1/dt(i);
   L(i,i+2) =  1/dt(i+1);
end

%dapp = pinv(lamda*L'*L+ H'*H)*(H'*ptmp);
invtmp = (lamda*L'*L+ H'*H);
dxapp = invtmp\(H'*x);
dyapp = invtmp\(H'*y);
x_filt = H*dxapp;
y_filt = H*dyapp;
