function [x_filt,y_filt] = filt_smoothspeed_xytog_x1y1notfix(x,y,t,lamda)
% larger lamda, more smooth
if size(x,1)==1
    x = x';
end
if size(y,1)==1
    y = y';
end

ncord = length(x);
dt = diff(t);

H = zeros(ncord*2,ncord*2);
H(1:ncord,1:(ncord)) = tril(ones(ncord),0);
H((ncord+1):end,(ncord+1):end) = tril(ones(ncord),0);




L0 = zeros(ncord-2,ncord-1);
for  i = 1:(ncord-2)

   L0(i,i) =  -1/dt(i);
   L0(i,i+1) =  1/dt(i+1);

end
L = zeros(2*ncord-4,2*ncord);
L(1:(ncord-2),2:(ncord)) = L0;
L((ncord-1):end,(ncord+2):end) = L0;



% 
% pxtmp = x- x(1);
% pytmp = y- y(1);
ptmp = [x;y];
% dxtmp = diff(pxtmp);
% dytmp = diff(pytmp);

%dapp = pinv(lamda*L'*L+ H'*H)*(H'*ptmp);
dapp = (lamda*L'*L+ H'*H)\(H'*ptmp);
papp = H*dapp;


x_filt = papp(1:(ncord));
y_filt =  papp((ncord+1):end);