function filterGPSTraj(fin,filttxt)


tic
[lat, lon, tin] = readdata(fin);
t= toc;
disp(['time cost of read data and convert to unix time is ' num2str(t) 's'])

%% mercator projection
[xin,yin, scalefactor] = mercator_proj(lat,lon);


cd filter
[xfilt1,yfilt1,tfilt1] = filt_outlier(xin,yin,tin);
[xfilt2,yfilt2] = filt_smoothspeed_long_x1y1notfix(xfilt1,yfilt1,tfilt1,100,64,16,2);
t_dec = tfilt1;

cd ..
[lat_f,lon_f] = mercator_proj_inv(xfilt2,yfilt2,scalefactor);

%% convert unix time back to time
tic
[data1,time1] = convertformat(t_dec);
t1 = toc;
disp(['time cost of convert unix time back to time is ' num2str(t1) 's'])
%% write file
tic
fid = fopen(filttxt,'w');
for j = 1:length(lat_f)
    fprintf(fid, '%3.6f %3.6f %s %s\n', lat_f(j), lon_f(j), data1{j},time1{j});
end
fclose(fid);
t1 = toc;
disp(['time cost of write file is ' num2str(t1) 's'])




