function [lat,lon] = mercator_proj_inv(x,y,scalefactor)
%% mercator inverse projection
% acc_scalefactor = param.acc_scalefactor;
% acc_x = param.acc_x;
% acc_y = param.acc_y;
xy_dist = 6378100;

x = x* scalefactor/xy_dist;
y = y* scalefactor/xy_dist;


lon = rad2deg(x);
lat = atan(sinh(y));
lat = rad2deg(lat);



function deg = rad2deg(rad)
deg = rad*180/pi;




